The software version of system ROM
Sources for this description
3Com MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copies
OID reference
1.3.6.1.4.1.43.45.1.2.2.4.4
The software version of system ROM
Identification
{1 3 6 1 4 1 43 45 1 2 2 4 4}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hwROMSysVersion OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The software version of system ROM"
::= { huaweiMixinfo 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The software version of system ROM
3Com MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copies
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hwROMSysVersion
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hwROMSysVersion",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The software version of system ROM\"",
"::=",
"{",
"huaweiMixinfo",
"4",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The software version of system ROM"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. 3Com support.
Module: A3COM-HUAWEI-MLSR-SYSTEM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['TimeTicks', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString'], 'A3COM-HUAWEI-OID-MIB': ['router', 'mlsr']}Related source files and packages:
Vendor MIB copy from the Netdisco archive.
Module: A3COM-HUAWEI-MLSR-SYSTEM-MIB
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['TimeTicks', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString'], 'A3COM-HUAWEI-OID-MIB': ['router', 'mlsr']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.43.45.1.2.2.4.1 | hwModuleId | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.2 | hwROMID | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.3 | hwROMVersion | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.5 | hwRAMSize | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.6 | hwNVRAMSize | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.7 | hwNVRAMUsed | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.8 | hwConfigReg | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.9 | hwConfigRegNextReboot | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.10 | hwTFTPEnabled | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.11 | hwMemoryFree | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.12 | hwCpuCostRatePer5Sec | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.13 | hwCpuCostRatePer5Minute | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.14 | hwCurrentTime | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.15 | hwSysAirFlowTempIn | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.16 | hwBuzzerStatus | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.17 | hwFansStatus | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.18 | hwPowerStatus | 0 | 0 | |
| 1.3.6.1.4.1.43.45.1.2.2.4.19 | hwSecondPowerStatus | 0 | 0 |